com.sun.jdi

## Class InvalidLineNumberException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jdi.InvalidLineNumberException

- All Implemented Interfaces:
    Serializable

  Deprecated.
  This exception is no longer thrown

      @Deprecated
      public class InvalidLineNumberException
      extends RuntimeException

  Thrown to indicate that the requested operation cannot be completed because the specified line number is not valid.
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidLineNumberException()` Deprecated.
    `InvalidLineNumberException(String s)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidLineNumberException

          public InvalidLineNumberException()

      Deprecated.

    - #### InvalidLineNumberException

          public InvalidLineNumberException(String s)

      Deprecated.

Copyright © 1999, 2019, Oracle and/or its affiliates. All rights reserved.